# Notifications

- [Confirmation alert](https://docs.apphive.io/reference/funciones/notifications-1/confirmation-alert.md): The Confirmation alert function allows you to send an alert message with options to cancel the process or continue with the process
- [Input dialog](https://docs.apphive.io/reference/funciones/notifications-1/input-dialog.md): The Input Dialog function, allows to display a message with the possibility of entering a text string in it
- [Send Alert](https://docs.apphive.io/reference/funciones/notifications-1/send-alert.md): The Send Alert function allows us to display an informative message in our application.
- [Toast notification](https://docs.apphive.io/reference/funciones/notifications-1/toast-notification.md): The Toast notification function allows you to send a discreet notification on the device with a limited time to live


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apphive.io/reference/funciones/notifications-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
